\name{Cpplot}
\alias{Cpplot}
\title{Cp plot}
\description{Makes a Cp plot
}
\usage{
Cpplot(cp)
}
\arguments{

  \item{cp}{A leaps object returned from leaps()}

}
\value{none
}
\details{
  Requires leaps package
}
\references{
}
\seealso{leaps()
}
\examples{
}
\author{Julian Faraway}
\keyword{regression}

\eof
\name{abrasion}
\alias{abrasion}
\title{Wear on materials according to type, run and position}
\description{The \code{composite} data frame has 16 rows and 4 columns.
  Four materials were fed into a wear testing machine
  and the amount of wear recorded. Four samples could be processed
  at the same time and the position of these samples may be important.
  A Latin square design was used.
}
\usage{
data(abrasion)
}
\format{
  This data frame contains the following columns:
  \describe{

    \item{\code{run}}{
      The run number 1-4
    }

    \item{\code{position}}{
      The position number 1-4
    }

    \item{\code{material}}{
      The material A-D
    }

    \item{\code{wear}}{
      The wear measured loss of weight in 0.1mm over testing period
    }}}
\source{The Design and Analysis of Industrial Experiments by O. Davies,
  1954, published by Wiley}
  
\keyword{datasets}


\eof
\name{alfalfa}
\alias{alfalfa}
\title{
Effects of seed inoculum, irrigation and shade on alfalfa yield
}
\description{
The \code{alfalfa} data frame has 25 rows and 4 columns.
Data comes from an experiment to test the effects of seed
inoculum, irrigation and shade on alfalfa yield. A latin
square design has been used.
}
\usage{
data(alfalfa)
}
\format{
This data frame contains the following columns:
\describe{
\item{\code{shade}}{
Distance of location from tree line divided into 5 shade areas
}
\item{\code{irrigation}}{
Irrigation effect divided into 5 levels
}
\item{\code{inoculum}}{
Four types of seed incolum, A-D with E as control.
}
\item{\code{yield}}{
Dry matter yield of alfalfa
}}}
\source{Petersen, R.G. 1994. Agricultural Field Experiments,         
         Design and Analysis. Marcel Dekker, Inc., New York.        
         Pages 70-74. 1994   
  
}
\keyword{datasets}


\eof
\name{babyfood}
\alias{babyfood}
\title{Respiratory disease rates of babies fed in different ways}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(babyfood)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{beetle}
\alias{beetle}
\title{Beetles exposed to fumigant}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(beetle)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{bliss}
\alias{bliss}
\title{Bliss insecticide data}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(bliss)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{breaking}
\alias{breaking}
\title{Breaking strengths of material by day, supplier, operator}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(breaking)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{cathedral}
\alias{cathedral}
\title{Cathedral nave heights and lengths in England}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(cathedral)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{chicago}
\alias{chicago}
\title{Chicago insurance redlining}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(chicago)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{chiczip}
\alias{chiczip}
\title{Chicago zip codes north-south}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(chiczip)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{chmiss}
\alias{chmiss}
\title{Chicago insurance redlining}
\description{Data from a 1970's study on the relationship between
  insurance redlining in Chicago and racial composition, fire and
  theft rates, age of housing and income in 47 zip codes. Missing
  values have been randomly added.
}
\usage{data(chmiss)
}
\format{This dataframe contains the following columns 
  \describe{

    \item{\code{race}}{
            racial composition in percent minority 
      }
\item{\code{fire}}{
      fires per 100 housing units }
    \item{\code{theft}}{
      theft per 1000 population }
\item{\code{age}}{
      percent of housing units built before 1939 }
\item{\code{involact}}{ 
      new FAIR plan policies and renewals per 100 housing units }
\item{\code{income}}{
      median family income in thousands of dollars}
    \item{\code{side}}{ North or South side of Chicago}
      
  }
}
\source{Adapted from  "Data : A Collection of Problems from Many Fields
  for the Student and Research Worker"  by D. Andrews and A. Herzberg
  published by Springer-Verlag, in 1985}
}
\keyword{datasets}

\eof
\name{chredlin}
\alias{chredlin}
\title{Chicago insurance redlining}
\description{Data from a 1970's study on the relationship between
  insurance redlining in Chicago and racial composition, fire and
  theft rates, age of housing and income in 47 zip codes
}
\usage{data(chredlin)
}
\format{This dataframe contains the following columns
  \describe{

    \item{\code{race}}{
            racial composition in percent minority 
      }
      \item{\code{fire}}{
      fires per 100 housing units }
    \item{\code{theft}}{
      theft per 1000 population }
    \item{\code{age}}{
      percent of housing units built before 1939 }
    \item{\code{involact}}{ 
      new FAIR plan policies and renewals per 100 housing units }
    \item{\code{income}}{
      median family income in thousands of dollars}
    \item{\code{side}}{ North or South side of Chicago}
  }
}
\source{Adapted from  "Data : A Collection of Problems from Many Fields
  for the Student and Research Worker"  by D. Andrews and A. Herzberg
  published by Springer-Verlag, in 1985}
}
\keyword{datasets}


\eof
\name{clot}
\alias{clot}
\title{Blood clotting times}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(clot)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{coagulation}
\alias{coagulation}
\title{Blood coagulation times by diet}
\description{Dataset comes from a study of  blood coagulation
times. 24 animals were randomly assigned to four different diets and
the samples were taken in a random order.
}
\usage{data(coagulation)
}
\format{This dataframe contains the following columns 
  \describe{

    \item{\code{coag}}{
      coagulation time in seconds
    }

    \item{\code{diet}}{
      diet type - A,B,C or D
    }
  }
}

\source{"Statistics for Experimenters" by G. P. Box, W. G. Hunter and
  J. S. Hunter, Wiley, 1978
}
\keyword{datasets}

\eof
\name{composite}
\alias{composite}
\title{
Strength of a thermoplastic composite depending on two factors
}
\description{
The \code{composite} data frame has 9 rows and 3 columns.
Data comes from an experiment to test the strength
of a thermoplastic composite depending on the power of a laser
and speed of a tape.
}
\usage{
data(composite)
}
\format{
This data frame contains the following columns:
\describe{
\item{\code{strength}}{
interply bond strength of the composite
}
\item{\code{laser}}{
laser power at 40, 50 or 60W
}
\item{\code{tape}}{
tape speed, slow=6.42 m/s, medium=13m/s and fast=27m/s
}}}
\source{
  Mazumdar, S and Hoa S (1995) "Application of a Taguchi Method for
  Process enhancement of an online consolidation technique" Composites
  26, 669-673
}
\keyword{datasets}


\eof
\name{corrosion}
\alias{corrosion}
\title{Corrosion loss in Cu-Ni alloys}
\description{
  Data consist of thirteen specimens of 90/10 Cu-Ni
alloys with varying iron content in percent. The specimens were
submerged in sea water for 60 days and the weight loss due to corrosion
was recorded in units of milligrams per square decimeter per day.

}
\usage{data(corrosion)
}
\format{This dataframe contains the following columns
  \describe{

    \item{\code{Fe}}{
      Iron content in percent
    }
    \item{\code{loss}}{
      Weight loss in mg per square decimeter per day
    }
  }
}
\source{"Applied Regression Analysis" by N. Draper and H. Smith,
Wiley, 1998
}
\keyword{datasets}

\eof
\name{ctsib}
\alias{ctsib}
\title{Effects of surface and vision on balance}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(ctsib)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{death}
\alias{death}
\title{Death penalty by race of victim and defendent}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(death)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{drugpsy}
\alias{drugpsy}
\title{Drug treatment of psychiatric patients}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(drugpsy)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{eco}
\alias{eco}
\title{Ecological regression example}
\description{Relationship
between 1998 per capita income dollars from all sources and the proportion
of legal state residents born in the United States in 1990 for each of
the 50 states plus the District of Columbia
}
\usage{data(eco)
}
\format{This dataframe contains the following columns
  \describe{
    \item{\code{usborn}}{
      Percentage of population born in the United States}
    \item{\code{income}}{
      Per capita annual income in dollars}
    \item{\code{home}}{
      Percentage born in state}
    \item{\code{pop}}{
      Population of state
    }
  }
}
\source{US Bureau of the Census}
\keyword{datasets}

\eof
\name{eggprod}
\alias{eggprod}
\title{Treatment and block effects on egg production}
\description{The \code{composite} data frame has 12 rows and 3 columns.
  Six pullets were placed into each of 12 pens. Four blocks were formed
  from groups of 3 pens based on location. Three treatments were
  applied. The number of eggs produced was recorded
}
\usage{
data(eggprod)
}
\format{
  This data frame contains the following columns:
  \describe{
    \item{\code{treat}}{
      Three treatments: O, E or F
    }
    \item{\code{block}}{
      Four blocks labeled 1-4
    }
    \item{\code{eggs}}{
      Number of eggs produced
    }}}
\source{Mead, R., R.N. Curnow, and A.M. Hasted. 1993. Statistical    
         Methods in Agriculture and Experimental Biology. Chapman   
         and Hall, London, p. 64. 1993 
}
\keyword{}


\eof
\name{eggs}
\alias{eggs}
\title{Laboratory testing of dried egg fat content}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(eggs)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{epilepsy}
\alias{epilepsy}
\title{Seizure rates of epileptics under treatment}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(epilepsy)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{exa}
\alias{exa}
\title{Non parametric regression test data A}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(exa)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{exb}
\alias{exb}
\title{Non parametric regression test data B}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(exb)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{faithful}
\alias{faithful}
\title{Eruption durations and intervals for Old Faithful}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(faithful)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{crap}
\alias{crap}
\title{Insect damage to wheat varieties}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(crap)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{fpe}
\alias{fpe}
\title{1981 French Presidential Election}
\description{Elections for the French presidency proceed in two rounds. In 1981,
there were 10 candidates in the first round. The top two candidates
then went on to the second round, which was won by Francois
Mitterand over Valery Giscard-d'Estaing. The losers in the first
round can gain political favors by urging their supporters to vote for
one of the two finalists. Since voting is private, we cannot know how
these votes were transferred, we might hope to infer from the
published vote totals how this might have happened.  Data is given
for vote totals in every fourth department of France:
}
\usage{data(fpe)
}
\format{This dataframe contains the following columns (vote totals
  are in thousands)
  \describe{
    \item{\code{EI}}{ Electeur Inscrits (registered voters)}

    \item{\code{A}}{ Voters for Mitterand in the first round}
    \item{\code{B}}{ Voters for Giscard in the first round}
    \item{\code{C}}{ Voters for Chirac in the first round}
    \item{\code{D}}{ Voters for Communists in the first round}
    \item{\code{E}}{ Voters for Ecology party in the first round}
    \item{\code{F}}{ Voters for party F in the first round}
    \item{\code{G}}{ Voters for party G in the first round}
    \item{\code{H}}{ Voters for party H in the first round}
    \item{\code{I}}{ Voters for party I in the first round}
    \item{\code{J}}{ Voters for party J in the first round}
    \item{\code{K}}{ Voters for party K in the first round}
    \item{\code{A2}}{ Voters for Mitterand in the second round}
    \item{\code{B2}}{ Voters for party Giscard in the second round}
    \item{\code{N}}{ Difference between the number of voters in the second
      round and in the first round}

  }
}

\source{"The Teaching of Practical Statistics" by C.W. Anderson and
  R.M. Loynes, Wiley,1987}
\keyword{datasets}

\eof
\name{fruitfly}
\alias{fruitfly}
\title{Longevity of fruiflies depending on sexual activity and thorax length}
\description{The \code{fruitfly} data frame has 9 rows and 3 columns.
  125 fruitflies were divided randomly into 5 groups of 25 each. The
response was the longevity of the fruitfly in days. One group was kept
solitary, while another was kept individually with a virgin female
each day. Another group was given 8 virgin females per day. As an
additional control the fourth and fifth groups were kept with one or
eight pregnant females per day.  Pregnant fruitflies will not mate.
The thorax length of each male was measured as this was known to
affect longevity.
}
\usage{
data(fruitfly)
}
\format{
This data frame contains the following columns:
\describe{

  \item{\code{thorax}}{
    Thorax length
  }
  \item{\code{longevity}}{
    Lifetime in days
  }
  \item{\code{activity}}{
    Sexual activity group - many, isolated, one, low or high
  }}}
\source{"Sexual Activity and the Lifespan of Male Fruitflies" by
  L. Partridge and M. Farquhar, Nature, 1981, 580-581}
\keyword{datasets}


\eof
\name{gala}
\alias{gala}
\title{Species diversity on the Galapagos Islands}
\description{There are 30 Galapagos islands and 7 variables in the
  dataset. The relationship between the number of species of tortoise
  and several geographic variables is of interest. The original
  dataset contained several missing values which have been filled
  for convenience.
}
\usage{data(gala)
}
\format{The dataset contains the following variables
  \describe{
\item{\code{Species}}{  the number of species of tortoise found on the island}
\item{\code{Endemics}}{  the number of endemic species}
\item{\code{Area}}{  the area of the island (km$^2$)}
\item{\code{Elevation}}{  the highest elevation of the island (m)}
\item{\code{Nearest}}{  the distance from the nearest island (km)}
\item{\code{Scruz}}{  the distance from Santa Cruz island (km)}
\item{\code{Adjacent}}{  the area of the adjacent island (square km)}
}
}
\source{M. P. Johnson and P. H. Raven (1973) "Species number and
  endemism: The Galapagos Archipelago revisited" Science, 179, 893-895}
\keyword{datasets}


\eof
\name{halfnorm}
\alias{halfnorm}
\title{Half Normal Plot}
\description{
  Makes a half-normal plot
}
\usage{halfnorm(x, nlab = 2, labs = as.character(1:length(x)), ylab = "Sorted Data", 
            ...) 
}
\arguments{
  \item{x}{a numeric vector
  }

  \item{nlab}{number of points to label
  }

  \item{labs}{labels for points
  }

  \item{ylab}{label for Y-axis
  }

  \item{...}{arguments passed to plot()}
}

\value{
  none
}
\details{
}
\references{
}
\seealso{
}
\examples{
halfnorm(runif(10))
}
\author{Julian Faraway}
\keyword{}

\eof
\name{hormone}
\alias{hormone}
\title{Hormones and Sexual Orientation}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(hormone)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{ilogit}
\alias{ilogit}
\title{Inverse Logit Transformation}
\description{
  Computes the inverse logit transformation
}
\usage{ilogit(x)
}
\arguments{
  \item{x}{a numeric vector
}}
\value{
  exp(x)/(1+exp(x))
}
\details{
}
\references{
}
\seealso{logit
}
\examples{
ilogit(1:3)
#[1] 0.7310586 0.8807971 0.9525741
}
\author{Julian Faraway}
\keyword{manip}

\eof
\name{infmort}
\alias{infmort}
\title{Infant mortality according to income and region}
\description{The \code{infmort} data frame has 105 rows and 4 columns.
  The infant mortality in regions of the world may be related to
  per capita income and whether oil is exported. The dataset is not recent.
}
\usage{
data(infmort)
}
\format{
This data frame contains the following columns:
\describe{

  \item{\code{region}}{
    Region of the world, Africa, Europe, Asia or the Americas
  }
  \item{\code{income}}{
    Per capita annual income in dollars
  }

  \item{\code{mortality}}{
      Infant mortality in deaths per 1000 births
  }
  \item{\code{oil}}{
    Does the country export oil or not?
  }
  }}
\source{Unknown}
\keyword{datasets}

\eof
\name{irrigation}
\alias{irrigation}
\title{Agricultural experiment with irrigation }
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(irrigation)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{jsp}
\alias{jsp}
\title{Junior Schools Project}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(jsp)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{kanga}
\alias{kanga}
\title{Historic Kangaroos}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(kanga)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{leafblotch}
\alias{leafblotch}
\title{Leaf blotch on Barley}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(leafblotch)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{logit}
\alias{logit}
\title{Logit transformation}
\description{Computes the logit transformation
}
\usage{logit(x)
}
\arguments{
  \item{x}{a numeric vector}
}
\value{log(x/(1-x))
}
\details{x <=0 or >=1 will return NA
}
\references{
}
\seealso{ilogit
}
\examples{logit(c(0.1,0.5,1.0,1.1))
#[1] -2.197225  0.000000        NA        NA
}
\author{Julian Faraway}
\keyword{manip}

\eof
\name{mammalsleep}
\alias{mammalsleep}
\title{
Sleep  in Mammals: Ecological and Constitutional Correlates
}
\description{
The \code{mammalsleep} data frame has 62 rows and 10 columns.
Sleep  in Mammals: Ecological and Constitutional Correlates
}
\usage{
data(mammalsleep)
}
\format{
This data frame contains the following columns:
\describe{
\item{\code{body}}{
body weight in kg
}
\item{\code{brain}}{
brain weight in g
}
\item{\code{nondream}}{
slow wave ("nondreaming") sleep (hrs/day)
}
\item{\code{dream}}{
paradoxical ("dreaming") sleep (hrs/day)
}
\item{\code{sleep}}{
total sleep (hrs/day)  (sum of slow wave and paradoxical sleep)
}
\item{\code{lifespan}}{
maximum life span (years)
}
\item{\code{gestation}}{
gestation time (days)
}
\item{\code{predation}}{
predation index (1-5) 1 = minimum (least likely to be preyed upon) to
                5 = maximum (most likely to be preyed upon)
  }
\item{\code{exposure}}{
sleep exposure index (1-5)
                1 = least exposed (e.g. animal sleeps in a 
                    well-protected den)
                5 = most exposed
  }
\item{\code{danger}}{
overall danger index (1-5)
                (based on the above two indices and other information)
                1 = least danger (from other animals)
                5 = most danger (from other animals)
  }}}
\source{
"Sleep  in 
Mammals: Ecological and Constitutional Correlates" by Allison, T.  and 
Cicchetti, D. (1976), Science, November 12, vol. 194,  pp.  732-734. 
}
\keyword{datasets}


\eof
\name{maxadjr}
\alias{maxadjr}
\title{Maximum Adjusted R-squared}
\description{Displays the best models from a leaps object
}
\usage{
maxadjr(l,best=3)
}
\arguments{

  \item{l}{A leaps object returned from leaps()}

  \item{best}{An optional argument specify the number of models to be
    returned taking the default value of 3}
}
\value{A list of the best models
}
\details{
  Requires leaps package
}
\references{
}
\seealso{leaps()
}
\examples{
}
\author{Julian Faraway}
\keyword{regression}

\eof
\name{meatspec}
\alias{meatspec}
\title{Meat spectrometry to determine fat content}
\description{A Tecator Infratec Food and Feed Analyzer working
  in the wavelength
range 850 - 1050 nm by the Near Infrared Transmission (NIT) principle
was used to collect data on samples of finely chopped pure meat. 215
samples were measured. For each sample, the fat content was measured
along with a 100 channel spectrum of absorbances. Since determining
the fat content via analytical chemistry is time consuming we would
like to build a model to predict the fat content of new samples using
the 100 absorbances which can be measured more easily.
}
\usage{data(meatspec)
}
\format{Dataset contains the following variables
  \describe{
    \item{\code{V1-V100}}{ absorbances across a range of 100 wavelengths
    }
    \item{\code{fat}}{ fat content}
  }
}

\source{H. H. Thodberg (1993) "Ace of Bayes: Application of Neural
  Networks With Pruning", report no. 1132E, Maglegaardvej 2,
  DK-4000 Roskilde, Danmark}
\keyword{datasets}

\eof
\name{melanoma}
\alias{melanoma}
\title{Melanoma patients categorized by type and location}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(melanoma)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{nels88}
\alias{nels88}
\title{Subset of National Education Longitudinal Study 1988}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(nels88)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{oatvar}
\alias{oatvar}
\title{Yields of oat varieties planted in blocks}
\description{Data from an experiment to compare 8 varieties
of oats. The growing area was heterogeneous and so was grouped
into 5 blocks. Each variety was sown once within each block
and the yield in grams per 16ft row was recorded. 
}
\usage{data(oatvar)
}
\format{The dataset contains the following variables
  \describe{
    \item{\code{yield}}{ Yield in grams per 16ft row
    }
    \item{\code{block}}{ Blocks I to V
    }
    \item{\code{variety}}{ Variety 1 to 8}
  }
}
\source{"Statistical Theory in Research" by R. Anderson and T. Bancroft,
  McGraw Hill,1952}
\keyword{datasets}

\eof
\name{odor}
\alias{odor}
\title{Odor of chemical by production settings}
\description{Data from an experiment to determine the effects of column
temperature, gas/liquid ratio and packing height in reducing
unpleasant odor of chemical product that was being sold for household
use}
\usage{data(odor)
}
\format{
  \describe{
    \item{\code{odor}}{ Odor score}
    \item{\code{temp}}{ Temperature coded as -1, 0 and 1}
    \item{\code{gas}}{ Gas/Liquid ratio coded as -1, 0 and 1}
    \item{\code{pack}}{ Packing height coded as -1, 0 and 1}
  }
}

\source{"Statistical Design and Analysis of Experiments" by P. John,
  Macmillan, 1971}
\keyword{datasets}

\eof
\name{ozone}
\alias{ozone}
\title{Ozone readings in LA}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(ozone)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{peanut}
\alias{peanut}
\title{
Carbon dioxide effects on peanut oil extraction
}
\description{
The \code{peanut} data frame has 16 rows and 6 columns.
Carbon dioxide effects on peanut oil extraction
}
\usage{
data(peanut)
}
\format{
This data frame contains the following columns:
\describe{
\item{\code{press}}{
CO2 pressure - two levels low=0, high=1
}
\item{\code{temp}}{
CO2 temperature - two levels low=0, high=1
}
\item{\code{moist}}{
peanut moisture - two levels low=0, high=1
}
\item{\code{flow}}{
CO2 flow rate - two levels low=0, high=1
}
\item{\code{size}}{
peanut particle size - two levels low=0, high=1
}
\item{\code{solubility}}{
the amount of oil that could dissolve in the CO2
}}}
\source{
  Kilgo, M (1989) "An Application of Fractional Factorial Experimental
  Designs"
  Quality Engineering, 1, 45-54
}
\keyword{datasets}


\eof
\name{penicillin}
\alias{penicillin}
\title{Penicillin yields by block and treatment}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(penicillin)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{pima}
\alias{pima}
\title{Diabetes survey on Pima Indians}
\description{The National Institute of Diabetes and
Digestive and Kidney Diseases conducted a study on 768 adult female
Pima Indians living near Phoenix.
}
\usage{data(pima)
}
\format{The dataset contains the following variables
  \describe{
    \item{\code{pregnant}}{ Number of times pregnant}
    \item{\code{glucose}}{ Plasma glucose concentration at 2 hours in an
      oral glucose tolerance test}
    \item{\code{diastolic}}{ Diastolic blood pressure (mm Hg)}
    \item{\code{triceps}}{ Triceps skin fold thickness (mm)}
    \item{\code{insulin}}{ 2-Hour serum insulin (mu U/ml)}
    \item{\code{bmi}}{ Body mass index (weight in kg/(height in metres
      squared))}
    \item{\code{diabetes}}{ Diabetes pedigree function}
    \item{\code{age}}{ Age (years)}
    \item{\code{test}}{ test whether the patient shows signs of
      diabetes (coded 0 if negative, 1 if positive)}
  }
}
}
\source{ The data may
be obtained from 
UCI Repository of machine learning databases at
\url{http://www.ics.uci.edu/\~mlearn/MLRepository.html}
}
\keyword{datasets}

\eof
\name{pneumo}
\alias{pneumo}
\title{Miners suffering from pneumoconiosis}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(pneumo)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{prostate}
\alias{prostate}
\title{Infant mortality according to income and region}
\description{The \code{prostate} data frame has 97 rows and 9 columns.
A study on 97 men with prostate cancer who were due to receive
a radical prostatectomy.
}
\usage{
data(prostate)
}
\format{
This data frame contains the following columns:
\describe{

  \item{\code{lcavol}}{
    log(cancer volume)
  }
  \item{\code{lweight}}{
    log(prostate weight)
  }

  \item{\code{age}}{
      age
  }
  \item{\code{lbph}}{
      log(benign prostatic hyperplasia amount)
  }
  \item{\code{svi}}{
      seminal vesicle invasion
  }
  \item{\code{lcp}}{
      log(capsular penetration)
  }
  \item{\code{gleason}}{
      Gleason score
    }
  \item{\code{pgg45}}{
    percentage Gleason scores 4 or 5
  }
  \item{\code{lpsa}}{
    log(prostate specific antigen)
  }
  }}
\source{Andrews DF and Herzberg AM (1985): Data. New York: Springer-Verlag}
\keyword{datasets}

\eof
\name{prplot}
\alias{prplot}
\title{Partial Residual Plot}
\description{Makes a Partial Residual plot
}
\usage{
prplot(g,i)
}
\arguments{

  \item{g}{An object returned from lm()}

  \item{i}{index of predictor}

}
\value{none
}
\details{
}
\references{
}
\seealso{
}
\examples{
data(stackloss)
g <- lm(stack.loss ~ .,stackloss)
prplot(g,1)
}
\author{Julian Faraway}
\keyword{regression}

\eof
\name{pulp}
\alias{pulp}
\title{
Brightness of paper pulp depending on shift operator
}
\description{
The \code{pulp} data frame has 20 rows and 2 columns.
Data comes from an experiment to test the paper brightness
depending on a shift operator.
}
\usage{
data(pulp)
}
\format{
This data frame contains the following columns:
\describe{
\item{\code{bright}}{
Brightness of the pulp as measured by a reflectance meter
}
\item{\code{operator}}{
  Shift operator a-d
}}}
\source{
  "Statistical techniques applied to production situations" F. Sheldon
  (1960)
  Industrial and Engineering Chemistry, 52, 507-509
}
\keyword{datasets}


\eof
\name{pvc}
\alias{pvc}
\title{Production of PVC by operator and resin railcar}
\description{Data from an experiment to study factors affecting
  the production of the plastic PVC, 3 operators used 8 different devices called resin
railcars to produce PVC. For each of the 24 combinations, two samples
were produced.
}
\usage{data(pvc)
}
\format{Dataset contains the following variables
  \describe{
    \item{\code{psize}}{ Particle size}
    \item{\code{operator}}{ Operator number 1, 2 or 3}
    \item{\code{resin}}{ Resin railcar 1-8}
  }
}
\source{
R. Morris and E. Watson (1998) "A comparison of the techniques used to
evaluate the measurement process" Quality Engineering, 11, 213-219}
\keyword{datasets}

\eof
\name{qqnorml}
\alias{qqnorml}
\title{Labeled QQ plot}
\description{Makes a labeled QQ plot
}
\usage{
qqnorml(y,main = "Normal Q-Q Plot", xlab = "Theoretical Quantiles", 
    ylab = "Sample Quantiles",...)
}
\arguments{

  \item{y}{A numeric vector}

  \item{main}{main label}

  \item{xlab}{x-axis label}
  
  \item{ylab}{y-axis label}

  \item{...}{arguments passed to plot()}
}
\value{none
}
\details{
}
\references{
}
\seealso{
}
\examples{
qqnorml(rnorm(16))
}
\author{Julian Faraway}
\keyword{}

\eof
\name{rabbit}
\alias{rabbit}
\title{Rabbit weight gain by diet and litter}
\description{A nutritionist studied the effects of six diets, 
on weight gain of domestic rabbits.  From past experience with sizes
of litters, it was felt that only 3 uniform rabbits could be selected
from each available litter. There were ten litters available forming
blocks of size three.
}
\usage{data(rabbit)
}
\format{The variables in the dataset were
  \describe{
    \item{\code{treat}}{ Diet a through f}

    \item{\code{gain}}{ Weight gain}

    \item{\code{block}}{ Block (10 litters)}
    }
}
\source{"Experimental Design and Analysis" by M. Lentner and T. Bishop,
  Valley Book Company, 1986
}
\keyword{datasets}

\eof
\name{rats}
\alias{rats}
\title{Rat survival times by treatment and poison}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(rats)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{resceram}
\alias{resceram}
\title{
Shape and plate effects on current noise in resistors
}
\description{
The \code{resceram} data frame has 12 rows and 3 columns.
Shape and plate effects on current noise in resistors
}
\usage{
data(resceram)
}
\format{
This data frame contains the following columns:
\describe{
\item{\code{noise}}{
current noise
}
\item{\code{shape}}{
the geometrical shape of the resistor, A, B, C or D
}
\item{\code{plate}}{
  the ceramic plate on which the resistor was mounted. Only
  three resistors will fit on one plate.
}}}
\source{
  Natrella, M (1963) "Experimental Statistics" National Bureau
  of Standards Handbook 91, Gaithersburg MD.
}
\keyword{datasets}


\eof
\name{sat}
\alias{sat}
\title{School expenditure and test scores from USA in 1994-95}
\description{The \code{sat} data frame has 50 rows and 7 columns.
  Data were collected to study the relationship between expenditures
  on public education and test results.
}
\usage{
data(sat)
}
\format{
This data frame contains the following columns:
\describe{
  \item{\code{expend}}{
Current expenditure per pupil in average daily attendance 
               in public elementary and secondary schools, 1994-95 (in 
               thousands of dollars)
  }
  \item{\code{ratio}}{
Average pupil/teacher ratio in public elementary and 
               secondary schools, Fall 1994
  }
  \item{\code{salary}}{
Estimated average annual salary of teachers in public 
               elementary and secondary schools, 1994-95 (in thousands 
               of dollars)
  }
  \item{\code{takers}}{
Percentage of all eligible students taking the SAT, 1994-95
  }
  \item{\code{verbal}}{
Average verbal SAT score, 1994-95
  }
  \item{\code{math}}{
Average math SAT score, 1994-95
  }
  \item{\code{total}}{
Average total score on the SAT, 1994-95
  }  }}
  \source{"Getting What You Pay For: The Debate Over Equity in Public
    School Expenditures"
    D. Guber, Journal of Statistics Education, 1999}
\keyword{datasets}








\eof
\name{savings}
\alias{savings}
\title{Savings rates in 50 countries}
\description{
  The \code{savings} data frame has 50 rows and 5 columns.
  The data is averaged over the period 1960-1970.
}
\usage{data(savings)
}
\format{
  This data frame contains the following columns:
  \describe{

    \item{\code{sr}}{savings rate - personal saving divided
      by disposable income}

    \item{\code{pop15}}{percent population under age of 15}

    \item{\code{pop75}}{percent population over age of 75}

    \item{\code{dpi}}{per-capita disposable income in dollars}

    \item{\code{ddpi}}{percent growth rate of dpi}
  }
}

      
}
\source{Belsley, D., Kuh. E. and Welsch, R. (1980) "Regression
     Diagnostics" Wiley.
}
\keyword{datasets}

\eof
\name{seatpos}
\alias{seatpos}
\title{Car seat position depending driver size}
\description{Car drivers like to adjust the seat position for their own comfort.
Car designers would find it helpful to know where different drivers
will position the seat depending on their size and age. Researchers at
the HuMoSim laboratory at the University of Michigan collected data on
38 drivers. 
}
\usage{data(seatpos)}
\format{The dataset contains the following variables
  \describe{
    \item{\code{Age}}{ Age in years}
    \item{\code{Weight}}{ Weight in lbs}
    \item{\code{HtShoes}}{ Height in shoes in cm}
    \item{\code{Ht}}{ Height bare foot in cm}
    \item{\code{Seated}}{ Seated height in cm}
    \item{\code{Arm}}{ lower arm length in cm}
    \item{\code{Thigh}}{ Thigh length in cm}
    \item{\code{Leg}}{ Lower leg length in cm}
    \item{\code{hipcenter}}{ horizontal distance of the
      midpoint of the hips from a fixed location in the car in mm}
  }
}
\source{"Linear Models in R" by Julian Faraway, CRC Press, 2004
}
\keyword{datasets}

\eof
\name{sexab}
\alias{sexab}
\title{Post traumatic stress disorder in abused adult females}
\description{The data for this example come from a study of the effects of
childhood sexual abuse on adult females. 45 women being treated at a clinic, who reported
childhood sexual abuse, were measured for post traumatic
stress disorder and childhood physical abuse both on
standardized scales. 31 women also being treated at the same clinic, who
did not report childhood sexual abuse were also measured. The full study
was more complex than reported here and so readers interested in the
subject matter should refer to the original article.

}
\usage{data(sexab)
}
\format{The variables in the dataset are
  \describe{

    \item{\code{cpa}}{ Childhood physical abuse on standard scale}

    \item{\code{ptsd}}{ Post-traumatic stress disorder on standard scale}
    \item{\code{csa}}{ Childhood sexual abuse - abused or not abused}
  }
}

\source{
  N. Rodriguez and S. Ryan and H. Vande Kemp and D. Foy (1997)
  "Postraumatic stress disorder in adult female survivors of
  childhood sexual abuse: A comparison study",
  Journal of Consulting and Clinical Pyschology, 65, 53-59
}
\keyword{datasets}

\eof
\name{solder}
\alias{solder}
\title{Solder skips in circuit board manufacture}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(solder)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{sono}
\alias{sono}
\title{
  Sonoluminescence
}
\description{
  The \code{sono} data frame has 16 rows and 8 columns.
  Sonoluminescence is the process of turning sound energy into light.
  An experiment was conducted to study factors affecting this process.
}
\usage{
data(sono)
}
\format{
This data frame contains the following columns:
\describe{
\item{\code{Intensity}}{
Sonoluminescent light intensity
}
\item{\code{Molarity}}{
  Amount of Solute. The coding is "low" for 0.10 mol and "high" for 0.33 mol.
}
\item{\code{Solute}}{
  Solute type. The coding is "low" for sugar and "high" for glycerol.
}
\item{\code{pH}}{
  The coding is "low" for 3 and "high" for 11.
}
\item{\code{Gas}}{
  Gas type in water. The coding is "low" for helium and "high" for air.
}
\item{\code{Water}}{
  Water depth. The coding is "low" for half and "high" for full.
}
\item{\code{Horn}}{
  Horn depth. The coding is "low" for 5 mm and "high" for 10 mm.
}
\item{\code{Flask}}{
  Flask clamping. The coding is "low" for unclamped and "high" for clamped.
}}}
\source{Eva Wilcox and Ken Inn of the NIST Physics Laboratory conducted
  this experiment during 1999 and published in NIST/SEMATECH e-Handbook of Statistical Methods, http://www.itl.nist.gov/div898/handbook/
}
\keyword{datasets}



\eof
\name{speedo}
\alias{speedo}
\title{Speedometer cable shrinkage}
\description{Speedometer cables can be noisy because of
shrinkage in the plastic casing material. An experiment was conducted
to find out what caused shrinkage by screening a large number of
factors.  The engineers started with 15 different factors.

}
\usage{data(speedo)
}
\format{The dataset contains the following variables: (variables a-o
  are 2 level factors, coded "+" and "-" where "+" indicates a higher
  value where appropriate)
  \describe{
    \item{\code{a}}{ liner outer diameter}
    \item{\code{b}}{ liner die}
    \item{\code{c}}{ liner material}
    \item{\code{d}}{ liner line speed}
    \item{\code{e}}{ wire braid type}
    \item{\code{f}}{ braiding tension}
    \item{\code{g}}{ wire diameter}
    \item{\code{h}}{ liner tension}
    \item{\code{i}}{ liner temperature}
    \item{\code{j}}{ coating material}
    \item{\code{k}}{ coating die type}
    \item{\code{l}}{ melt temperature}
    \item{\code{m}}{ screen pack}
    \item{\code{n}}{ cooling method}
    \item{\code{o}}{ line speed}
    \item{\code{y}}{ percentage shrinkage per specimen}
  }
}
\source{G. P. Box and S. Bisgaard and C. Fung (1988) "An explanation and
  critque of Taguchi's contributions to quality engineering",
  Quality and reliability engineering international, 4, 123-131}
\keyword{datasets}


\eof
\name{star}
\alias{star}
\title{Star light intensities and temperatures}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(star)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{stat500}
\alias{stat500}
\title{Scores for students in Stat500 class}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(stat500)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{strongx}
\alias{strongx}
\title{Strong interaction experiment data}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(strongx)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{suicide}
\alias{suicide}
\title{UK suicide data}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(suicide)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{teengamb}
\alias{teengamb}
\title{
Study of teenage gambling in Britain
}
\description{
The \code{teengamb} data frame has 47 rows and 5 columns.
A survey was conducted to study teenage gambling in Britain.
}
\usage{
data(teengamb)
}
\format{
This data frame contains the following columns:
\describe{
\item{\code{sex}}{
  0=male, 1=female
}
\item{\code{status}}{
  Socioeconomic status score based on parents' occupation
}
\item{\code{income}}{
  in pounds per week
}
\item{\code{verbal}}{
  verbal score in words out of 12 correctly defined
}
\item{\code{gamble}}{
  expenditure on gambling in pounds per year
}}}
\source{
Ide-Smith & Lea, 1988, Journal of Gambling Behavior, 4, 110-118
}
\keyword{datasets}


\eof
\name{truck}
\alias{truck}
\title{Truck leaf spring data}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(truck)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{twins}
\alias{twins}
\title{Twin IQs from Burt}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(twins)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{uncviet}
\alias{uncviet}
\title{UNC student opinion about the Vietnam war}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(uncviet)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{vif}
\alias{vif}
\alias{vif.default}
\alias{vif.lm}
\title{vif}
\description{Computes the variance inflation factors
}
\usage{vif(object)
}
\arguments{
  \item{object}{a data matrix (design matrix without intercept) or a model object}
}
\value{variance inflation factors
}
\details{
}
\references{
}
\seealso{
}
\examples{
data(stackloss)
vif(stackloss[,-4])
#  Air.Flow Water.Temp Acid.Conc. 
#    2.9065     2.5726     1.3336 
}
\author{Julian Faraway}
\keyword{}

\eof
\name{vision}
\alias{vision}
\title{Vision acuity tests}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(vision)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
\name{wheat}
\alias{wheat}
\title{Insect damage to wheat varieties}
\description{Example Dataset from "Practical Regression and Anova"
}
\usage{data(wheat)
}
\format{See for yourself
}
\source{See Reference
}
\references{Reference details may be found in "Practical Regression and
  Anova" by Julian Faraway
  }
\keyword{datasets}

\eof
